package com.cnooc.edgeapp.config;

/**
 * @Name: MinioProp
 * @Description:
 * @Version: V1.0.0  （版本号）
 * @Author: cuiliang
 * @Create Date:2021/3/15
 */

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * minio 属性值
 */
@Data
@Component
@ConfigurationProperties(prefix = "minio")
public class MinioProp {


    /**
     * 连接url
     */
    private String url;
    /**
     * 用户名
     */
    private String accesskey;
    /**
     * 密码
     */
    private String secretKey;
}
