package com.cnooc.edgeapp.dto;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @program: sam-01
 * @description:
 * @author: niujie
 * @create: 2023-02-21 14:53
 */
@Data
public class ConstructionAttebdabceDetailInteractive {
    private String constructionAttebdabceId;

    private String constructionStartId;

    private String projectNo;

    private String projectName;

    private String constructionUnit;

    private String contractor;

    private String platformManager;

    private String majordomo;

    private String majordomoSign;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date signTime;

    private Date contractorTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date platformManagerTime;

    private String remark;

    private String state;

    private String loginName;

    private List<AttebdabceDetail> constructionAttebdabceDetail;

    private ConstructionAttebdabceLogDto constructionAttebdabceLogDtoList;

    private List<ConstructionPicture> constructionPictureList;

    private List<ConstructionAttebdabceDetail> constructionAttebdabceDetailList;

    private List<JSONObject> jsonObjects;
}
