package com.cnooc.edgeapp.dto;

import lombok.Data;

import java.util.Date;

/**
 * DrillProcess
 *
 * @author mtx
 * @date 2022/10/10 16:23
 */
@Data
public class DrillProcess {

    private String id;
    /**
     * 演习记录id
     */
    private String recordId;
    /**
     * 内容
     */
    private String content;
    /**
     * 确认状态（1待确认，2已确认）
     */
    private String confirmStatus;
    /**
     * 确认人
     */
    private String confirmPerson;
    /**
     * 确认时间
     */
    private Date confirmTime;
    /**
     * 顺序
     */
    private String sortd;
    /**
     * 创建人
     */
    private String created;
    /**
     * 创建时间
     */
    private Date createTime;
}
