package com.cnooc.edgeapp.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class HseUnusualDto {

    private Integer type;

    private String alarmContent;

    //(name = "提报人", notes = "提报人")
    private String reportedBy;

    //(name = "视频位号", notes = "问题语音URL")
    private String videoCode;

    //(name = "提报时间", notes = "提报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportingTime;

    //(name = "平台标识", notes = "平台标识")
    private String assetCode;

    //(name = "相关记录表的id", notes = "区域编号")
    private String parentId;

    //(name = "指定处理人", notes = "指定处理人（整改负责人）")
    private String appointProcessor;

    //(name = "计划完成时间", notes = "计划完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planDate;

    //(name = "图片链接", notes = "图片链接（如果逗号隔开用）")
    private String pictureUrls;


    //(name = "被检查设施名称", notes = "被检查设施名称")
    private String checkFacilitiesName;

    //(name = "检查类型", notes = "检查类型")
    private String checkType;

    //(name = "检查人员", notes = "检查人员")
    private String checkPersonnel;

    //(name = "图片链接", notes = "图片链接（如果传字符数组用）")
    private List<String> pictureUrlList;
    private String id;
    private String procInstId;

    private Date submitTime;

    private Date completeTime;

    private String auditUsers;

    private String nextAuditUser;

    private String status;
}
