package com.cnooc.edgeapp.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;


@Data
public class SaveTemporaryParam {

    //(name = "主键id", notes = "主键id")
    private String id;

    //(name = "平台标识", notes = "平台标识")
    private String assetCode;

    //(name = "临时整改措施", notes = "临时整改措施")
    private String tempMeasures;

    //(name = "计划完成时间", notes = "计划完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planDate;

    //(name = "临时完成时间", notes = "临时完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date tempDate;

    //(name = "临时整改语音", notes = "临时整改语音")
    private String tempVoiceUrl;

    //(name = "临时处理人", notes = "临时处理人")
    private String tempProcessor;

    //(name = "图片url", notes = "图片url 多张图片 , 号隔开")
    private String pictureUrl;

}
