package com.cnooc.edgeapp.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class SaveVerifyParam {
    /**
     * 主键id
     */
    private String id;

    //(name = "审核人", notes = "审核人")
    private String verifyBy;

    //(name = "审核意见或建议", notes = "审核意见或建议")
    private String verifyOpinion;

    //(name = "审核时间", notes = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date verifyDate;

    //(name = "审核状态 （0不通过（默认），1通过）", notes = "审核状态 （0不通过（默认），1通过，2驳回）")
    private Integer verifyType;

    private String procInstId;
}
