package com.cnooc.edgeapp.dto;

import lombok.Data;


@Data
public class SelectDocumentDto {

    /**
     * 父级id 如果查询油田 参数为用户名
     * 查询油田下平台 参数为油田标识
     * 查询最父级文档及文件 参数为平台id
     * 查询子集文件及文档  参数为选中文档的id
     */
    private String parentId;

    /**
     * 1 查询用户油田 2 查询油田下平台 3 查询父级文档和文件  4 查询子集文档和文件
     */
    private Integer type;
    /**
     * 当前登录用户
     */
    private String userName;
    /**
     * 油田ID
     */
    private String oilGasField;
    /**
     * 平台ID
     */
    private String platformId;

}
