package com.cnooc.edgeapp.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.List;


@Data
public class MarkBasicSafetyCategory {

    private String id;

////    @ApiModelProperty("生产平台标识")
////    @TableField(value = "PLATFORM_ID")
    private String platformId;

////    @ApiModelProperty("文档排序")
////    @TableField(value = "n_sort")
    private Long nSort;

//    @ApiModelProperty("分类名称")
//    @TableField(value = "CATEGORY_NAME")
    private String categoryName;

//    @ApiModelProperty("分类类别")
//    @TableField(value = "CATEGORY_CODE")
    private String categoryCode;

//    @ApiModelProperty("父级id 为 0  是最高级，存本表的主键id")
//    @TableField(value = "PARENT_ID")
    private String parentId;

//    @ApiModelProperty("是否删除")
//    @TableField(value = "IS_DEL")
    private Long isDel;

//    @ApiModelProperty("创建人")
//    @TableField(value = "CREATE_BY")
    private String createBy;

//    @ApiModelProperty("创建时间")
//    @TableField(value = "CREATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private java.sql.Timestamp createTime;

//    @ApiModelProperty("修改人")
//    @TableField(value = "UPDATE_BY")
    private String updateBy;

//    @ApiModelProperty("修改时间")
//    @TableField(value = "UPDATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private java.sql.Timestamp updateTime;

//    @ApiModelProperty("修改版本号")
//    @TableField(value = "update_version")
    private Integer updateVersion;

//    @ApiModelProperty("最新版本号")
//    @TableField(value = "latest_version")
    private String latestVersion;

//    @ApiModelProperty("上次检查时间")
//    @TableField(value = "inspection_time")
    private String inspectionTime;

//    @ApiModelProperty("提醒周期")
//    @TableField(value = "reminder_cycle")
    private String reminderCycle;

//    @ApiModelProperty("油田标识")
//    @TableField(value = "oil_gas_field")
    private String oilGasField;

    /**
     * 岗位名称 code:Name
     */
    private List<String> postCodeName;

}
