package com.cnooc.edgeapp.service;

import com.cnooc.edgeapp.domain.R;
import com.cnooc.edgeapp.dto.MassageDto;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.util.MultiValueMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public interface LoginService {
    HttpHeaders getAuthorization();
    R loginVerify(String username, HttpServletRequest request, HttpServletResponse response) throws IOException;

    Object getUserOfMenus(String username,String companyCode);

    Object getUserOfMenusAndOperate(String username,String companyCode,String menuCode);

    Object sendMessage(String businessCode
            , String businessName
            , String rangeType
            , String codes
            , String protocol
            , String contentStr
            , String text
    );

    Object sendTopicMessage(MassageDto dto);

    Object outLogin(HttpServletRequest request, HttpServletResponse response);

    Object getUserNubmer(String userName);
}
