package com.cnooc.edgeapp.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @program: pc-02
 * @description:
 * @author: niujie
 * @create: 2022-10-22 20:04
 */
@Data
public class CompletionReport {

    private String id;

    private String projectNo;

    private String projectName;

    private String contractor;

    private String orderNo;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    private String outsourcingNo;

    private String describeNote;

    private String note;

    private String acceptanceConclusion;

    private String contractorSignature;

    private String chargeSignature;

    private String departmentSignature;

    private String loginName;

    private String status;

    private List<String> chargeSignatureList;

    private String completionreportPdf;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private CompletionReportLogDto completionReportLogDto;
}
