package com.cnooc.edgeapp.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @program: pc-02
 * @description:
 * @author: niujie
 * @create: 2023-02-15 15:43
 */
@Data
public class ConstructionDailyReportDto {
    private String id;

    private String constructionStartId;

    private String projectNo;

    private String projectName;

    private String headLand;

    private String platform;

    private String constructionLeader;

    private String contractType;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date plannedEndDate;

    private String outsourcingNo;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date fillingTime;

    private String constructionUnit;

    private String projectProgress;

    private String projectProgressOld;

    private String projectStatus;

    private String problemscount;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date arrivalFacilitiesTime;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date constructionStartTime;

    private String projectLeader;

    private String constructionNumber;

    private String contractorPersonnelDetail;

    private String cooperationSolvedProblems;

    private String remarks;

    private String createUser;

    private Date createTime;

    private Date updateTime;

    private String status;

    private String professionalSupervision;

    private String sceneChargePerson;

    private List<String> constructionDailyReportContentDtoList;

    private List<String> constructionDailyReportPlanDtoList;

    private List<ConstructionDailyToolsTrackingDto> constructionDailyToolsTrackingDtoList;

    private ConstructionDailyReportLogDto constructionDailyReportLogDto;
}
