package com.cnooc.edgeapp.dto;

import lombok.Data;

import java.util.Date;

/**
 * PersonnelCollectState
 *
 * @author mtx
 * @date 2022/10/14 10:08
 */
@Data
public class PersonnelCollectState {

    private String id;
    /**
     * 演习记录id
     */
    private String recordId;
    /**
     * 演习计划id
     */
    private String boatName;
    /**
     * 应到人数
     */
    private Integer presentNum;
    /**
     * 实到人数
     */
    private Integer actuallyArrivedNum;
    /**
     * 未到人数
     */
    private Integer notArrivedNum;
    /**
     * 确认人
     */
    private String confirmedBy;
    /**
     * 确认时间
     */
    private Date confirmedTime;


}
